;Project Lynxmotion Phoenix
;Description: Phoenix, configuration file.
;		All Hardware connections (excl controls) and body dimensions 
;		are configurated in this file. Can be used with V2.0 and above
;Configuration version: V2.0
;Date: 06-10-2009
;Programmer: Jeroen Janssen (aka Xan)
; 	ARC32 Version: Kurt Eckhardt(kurte)
;
;Hardware setup: ABB2 with ATOM 28 Pro, SSC32 V2, (See further for connections)
;
;NEW IN V2.0
;	- Conversion to Arc32
;
;--------------------------------------------------------------------
USEPS2			con	1		; Do we use the PS2?
USEXBEE			con 1		; and/or do we use XBEE?

;--------------------------------------------------------------------
;[BB2 PIN NUMBERS]
cEyesPin		con P0
;--------------------------------------------------------------------
;[ARC32 PIN NUMBERS]
cRRCoxaPin 		con P31	;Rear Right leg Hip Horizontal
cRRFemurPin 	con P30	;Rear Right leg Hip Vertical
cRRTibiaPin 	con P29	;Rear Right leg Knee
cRRTarsPin 		con

cRMCoxaPin 		con P28	;Middle Right leg Hip Horizontal
cRMFemurPin 	con P27	;Middle Right leg Hip Vertical
cRMTibiaPin 	con P26	;Middle Right leg Knee

cRFCoxaPin 		con P25	;Front Right leg Hip Horizontal
cRFFemurPin 	con P24	;Front Right leg Hip Vertical
cRFTibiaPin 	con P23	;Front Right leg Knee
cRFTarsPin 		con

cLRCoxaPin 		con P15	;Rear Left leg Hip Horizontal
cLRFemurPin 	con P14	;Rear Left leg Hip Vertical
cLRTibiaPin 	con P13	;Rear Left leg Knee
cLRTarsPin 		con

cLMCoxaPin 		con P12	;Middle Left leg Hip Horizontal
cLMFemurPin 	con P11	;Middle Left leg Hip Vertical
cLMTibiaPin 	con P10	;Middle Left leg Knee

cLFCoxaPin 		con P9	;Front Left leg Hip Horizontal
cLFFemurPin 	con P8	;Front Left leg Hip Vertical
cLFTibiaPin 	con P4	;Front Left leg Knee
cLFTarsPin 		con
; 
cSound			con P19	; lets try output sound on plug in speaker

;--------------------------------------------------------------------
;[SERVO Offsets]
cRFCoxaOffset 	con 650+2	;Front Right leg Hip Horizontal		
cRFFemurOffset 	con 650-67	;Front Right leg Hip Vertical	
cRFTibiaOffset  con 650+317	;Front Right leg Knee			
cRFTarsOffset 	con 650-396	;Front Right leg foot						

cRRCoxaOffset 	con 650-68	;Rear Right leg Hip Horizontal		
cRRFemurOffset 	con 650-32	;Rear Right leg Hip Vertical	
cRRTibiaOffset  con 650+438	;Rear Right leg Knee			
cRRTarsOffset 	con 650-289	;Rear Right leg foot			

cLFCoxaOffset 	con 650+89	;Front Left leg Hip Horizontal		
cLFFemurOffset 	con 650+183	;Front Left leg Hip Vertical		
cLFTibiaOffset  con 650-245	;Front Left leg Knee			
cLFTarsOffset 	con 650+416;Front Left leg foot							

cLRCoxaOffset 	con 650-66	;Rear Left leg Hip Horizontal		
cLRFemurOffset 	con 650+115	;Rear Left leg Hip Vertical			
cLRTibiaOffset  con 650-405	;Rear Left leg Knee					
cLRTarsOffset 	con 650+356	;Rear Left leg foot					

;--------------------------------------------------------------------
;[MIN/MAX ANGLES]
cRRCoxaMin1		con -260	;Mechanical limits of the Right Rear Leg, decimals = 1
cRRCoxaMax1		con 740
cRRFemurMin1	con -1010
cRRFemurMax1	con 950
cRRTibiaMin1	con -1060
cRRTibiaMax1	con 770

cRFCoxaMin1		con -580	;Mechanical limits of the Right Front Leg, decimals = 1
cRFCoxaMax1		con 740
cRFFemurMin1	con -1010
cRFFemurMax1	con 950
cRFTibiaMin1	con -1060
cRFTibiaMax1	con 770

cLRCoxaMin1		con -740	;Mechanical limits of the Left Rear Leg, decimals = 1
cLRCoxaMax1		con 260
cLRFemurMin1	con -950
cLRFemurMax1	con 1010
cLRTibiaMin1	con -770
cLRTibiaMax1	con 1060

cLFCoxaMin1		con -740	;Mechanical limits of the Left Front Leg, decimals = 1
cLFCoxaMax1		con 580
cLFFemurMin1	con -950
cLFFemurMax1	con 1010
cLFTibiaMin1	con -770
cLFTibiaMax1	con 1060
;--------------------------------------------------------------------
;[BODY DIMENSIONS]
cCoxaLength  	con 29		;Length of the Coxa [mm]
cFemurLength 	con 75		;Length of the Femur [mm]
cTibiaLength 	con 71		;Lenght of the Tibia [mm]
cTarsLength		con	85		;Lenght of the Tars [mm]

cRRCoxaAngle1 	con -450	;Default Coxa setup angle, decimals = 1
cRFCoxaAngle1 	con 450		;Default Coxa setup angle, decimals = 1
cLRCoxaAngle1 	con -450	;Default Coxa setup angle, decimals = 1
cLFCoxaAngle1 	con 450		;Default Coxa setup angle, decimals = 1

cRROffsetX 		con -38		;Distance X from center of the body to the Right Rear coxa
cRROffsetZ 		con 40		;Distance Z from center of the body to the Right Rear coxa
cRFOffsetX 		con -60		;Distance X from center of the body to the Right Front coxa
cRFOffsetZ 		con -40	    ;Distance Z from center of the body to the Right Front coxa

cLROffsetX 		con 90'38		;Distance X from center of the body to the Left Rear coxa
cLROffsetZ 		con 90'40		;Distance Z from center of the body to the Left Rear coxa
cLFOffsetX 		con 90'60		;Distance X from center of the body to the Left Front coxa
cLFOffsetZ 		con -90'-40	    ;Distance Z from center of the body to the Left Front coxa
;--------------------------------------------------------------------
;[START POSITIONS FEET]
cRRInitPosX 	con 72		;Start positions of the Right Rear leg
cRRInitPosY 	con 18
cRRInitPosZ 	con 72

cRFInitPosX 	con 72		;Start positions of the Right Front leg
cRFInitPosY 	con 18
cRFInitPosZ 	con -72

cLRInitPosX 	con 72		;Start positions of the Left Rear leg
cLRInitPosY 	con 18
cLRInitPosZ 	con 72

cLFInitPosX 	con 72		;Start positions of the Left Front leg
cLFInitPosY 	con 18
cLFInitPosZ 	con -72
;--------------------------------------------------------------------
;[Tars factors used in formula to calc Tarsus angle relative to the ground]
cTarsConst		con	720
cTarsMulti		con 2
cTarsFactorA	con 70'77
cTarsFactorB	con 70'65